PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PListElement Struct Reference

`#include <lists.h>`

Collaboration diagram for PListElement:
[legend]

## Public Member Functions
| PListElement (PObject *theData)
| PDECLARE_POOL_ALLOCATOR ()

## Public Attributes
PListElement * | prev
PListElement * | next
PObject * | data

## Constructor & Destructor Documentation

PListElement::PListElement | ( | PObject * | theData | ) |

## Member Function Documentation

PListElement::PDECLARE_POOL_ALLOCATOR | ( |  | ) |

## Member Data Documentation

PObject* PListElement::data

Referenced by PStack< T >::Top().

PListElement* PListElement::next

PListElement* PListElement::prev

The documentation for this struct was generated from the following file:

- lists.h